%global	gitdate	20150131
%global	githash	c1354af297d263de3b327e9cbd4045176d70726f
%global	shorthash	%(hash=%{githash}; echo ${hash:0:7})

Name:           gprof2dot
Version:        1.0
Release:        0.14.%{gitdate}git%{shorthash}%{?dist}
Summary:        Generate dot graphs from the output of several profilers

Group:          Applications/Multimedia
License:        LGPLv3+
URL:            http://code.google.com/p/jrfonseca/wiki/Gprof2Dot
# The Source0 used in this version of the package can be obtained by:
# git clone https://code.google.com/p/jrfonseca.gprof2dot/ gprof2dot-1.0
# pushd gprof2dot-1.0
# git reset --hard %%githash
# popd
# tar -cf - gprof2dot-1.0 | xz -9c --memory=1GiB > gprof2dot-1.0-%%githash.tar.xz
Source0:        gprof2dot-1.0-%{githash}.tar.xz
BuildArch: noarch

BuildRequires:  python2
BuildRequires:	python3
BuildRequires:  graphviz
Requires:       python2

%description
This is a Python script to convert the output from prof, gprof, oprofile,
Shark, AQtime, and python profilers into a dot graph.  It has the following
features:

* can correctly parse C++ template function names
* allows to prune nodes and edges below a certain threshold
* uses an heuristic to propagate time inside mutually recursive functions
* uses color efficiently to draw attention to hot-spots

%prep
%setup -q

%build

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{_bindir}
install -p -m 0755 gprof2dot.py %{buildroot}%{_bindir}/gprof2dot
chmod 0644 hotshotmain.py

%check
python2 ./tests/test.py
python3 ./tests/test.py

%files
%defattr(-,root,root,-)
%doc hotshotmain.py 
%{_bindir}/gprof2dot


%changelog
* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0-0.14.20150131gitc1354af
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Wed Mar  4 2015 Mamoru TASAKA <mtasaka@fedoraproject.org> - 1.0-0.13.20150131gitc1354af
- New upstream snapshot (actually same as pypi 2015.02.03)

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0-0.12.20130226git1ef99
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0-0.11.20130226git1ef99
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Tue Feb 26 2013 Toshio Kuratomi <toshio@fedoraproject.org> - 1.0-0.9.20130226git1ef99
- New upstream snapshot

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0-0.9.20120720git56961
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Fri Jul 20 2012 Toshio Kuratomi <toshio@fedoraproject.org> - 1.0-0.8.20120720git56961
- Update to solve https://bugzilla.redhat.com/show_bug.cgi?id=821864 (support perf)
- Upstream has switched to a git repo

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0-0.7.20100708hg89
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0-0.6.20100708hg89
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0-0.5.20100708hg89
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Thu Jul 08 2010 Toshio Kuratomi <toshio@fedoraproject.org> - 1.0-0.4.20100708hg89
- Update to new upstream

* Tue Apr 13 2010 Toshio Kuratomi <toshio@fedoraproject.org> - 1.0-0.3.20100413hg88
- Update to new upstream

* Mon Sep 14 2009 Toshio Kuratomi <toshio@fedoraproject.org> - 1.0-0.2.20090901svn
- Use svn export instead of svn checkout to generate the tarball
- Replace use of env with direct call to the python interpreter

* Tue Sep 1 2009 Toshio Kuratomi <toshio@fedoraproject.org> - 1.0-0.1.20090901svn
- Initial Fedora build
